// 权限管理
import User from './auth/user'
import Role from './auth/role'
import WorkGroup from './auth/workgroup'
import DataAuth from './auth/dataauth'

// 组织结构
import SchoolInfo from './organize/schoolinfo'
import SchoolZone from './organize/schoolzone'
import Org from './organize/org'
import OrgChart from './organize/orgchart'
import OrgUser from './organize/orguser'
import Duty from './organize/duty'

// 人员管理
import Researcher from './person/researcher'
import Student from './person/student'
import Teacher from './person/teacher'

// 教学管理
import Grade from './teaching/grade'
import MajorInfo from './teaching/majorinfo'
import ClassInfo from './teaching/classinfo'
import TheoryCourse from './teaching/theorycourse'
import PracticeCourse from './teaching/practicecourse'
import GradeMajorTree from './teaching/grademajortree'

// 系统管理
import AdminDict from './system/admindict'
import Application from './system/application'
import Audit from './system/audit'
import AuditConfig from './system/auditconfig'
import Config from './system/config'
import Function from './system/function'
import Template from './system/template'
import Menu from './system/menu'

const components = {
    install(Vue) {
        User.install(Vue)
        Role.install(Vue)
        WorkGroup.install(Vue)
        DataAuth.install(Vue)

        SchoolInfo.install(Vue)
        SchoolZone.install(Vue)
        Org.install(Vue)
        OrgChart.install(Vue)
        OrgUser.install(Vue)
        Duty.install(Vue)

        Researcher.install(Vue)
        Student.install(Vue)
        Teacher.install(Vue)

        Grade.install(Vue)
        MajorInfo.install(Vue)
        ClassInfo.install(Vue)
        TheoryCourse.install(Vue)
        PracticeCourse.install(Vue)
        GradeMajorTree.install(Vue)

        AdminDict.install(Vue)
        Application.install(Vue)
        Audit.install(Vue)
        AuditConfig.install(Vue)
        Config.install(Vue)
        Function.install(Vue)
        Template.install(Vue)
        Menu.install(Vue)
    }
}

export default components